Bug report #18120

Download of capabilities failed: SSL handshake failed

Added by Cristiano Giovando about 2 years ago. Updated about 1 year ago.

Status:Closed
Priority:Normal
Assignee:-
Category:Web Services clients/WMS
Affected QGIS version:2.18.15 Regression?:No
Operating System:OSX 10.11.6 Easy fix?:No
Pull Request or Patch supplied:No Resolution:no timely feedback
Crashes QGIS or corrupts data:No Copied to github as #:26014

Description

Trying to add a WMTS layer from OAM, I'm getting the following error (also see attached screenshot):

Download of capabilities failed: SSL handshake failed

Source WMTS URL: https://tiles.openaerialmap.org/5a82811a2553e6000ce5ac7b/0/90757d03-ecbb-42ad-aca3-2e14dfb8c62d/wmts

The service works fine in the same version on Windows. By doing some research, the problem might be related to how QGIS uses the system OpenSSL in OSX.

Any help is greatly appreciated!

Screen Shot 2018-02-16 at 10.17.33.jpg (203 KB) Cristiano Giovando, 2018-02-16 10:17 AM

History

#1 Updated by Jürgen Fischer about 1 year ago

  • Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 Updated by Giovanni Manghi about 1 year ago

  • Resolution set to no timely feedback
  • Status changed from Feedback to Closed

Also available in: Atom PDF